Subject: Re: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: Glenn Morris <[email-masked]>
Date: Wed, 15 Jun 2011 12:17:17 -0400

Stefan Monnier wrote:

> "batch mode" and "server mode" are *very* closely related.  So I'd stay
> away from any attempt to special case "batch mode".

martin rudalics wrote:

> There's a silent convention that `display-buffer' _always_ returns a
> window.  If it doesn't in batch mode, code relying on that convention
> might break.  I don't know how realistic such a scenario is, though.

OK, no problem, let's not bother with it then.

> Meanwhile I checked in two fixes that should assure that
> `display-buffer' doesn't try to pop up a frame with emacs -Q.  If they
> work, you should be able to remove your earlier hack.

If you mean the cus-dep thing, then it was a correct change, independent
of this issue, and should remain.

I'll close this, thanks.